Summary:	Linux-native io_uring I/O access library
Summary(pl.UTF-8):	Biblioteka natywnego dla Linuksa dostępu we/wy io_uring
Name:		liburing
Version:	2.1
Release:	1
License:	LGPL v2+ or MIT
Group:		Libraries
Source0:	https://brick.kernel.dk/snaps/%{name}-%{version}.tar.bz2
# Source0-md5:	23fd49e66654adf2f72b5b10656a6ff4
URL:		https://git.kernel.dk/cgit/liburing/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer

%description
Provides native async IO for the Linux kernel, in a fast and efficient
manner, for both buffered and O_DIRECT.

%description -l pl.UTF-8
Biblioteka udostępnia w sposób szybki i wydajny natywne,
asynchroniczne operacje we/wy dla jądra Linuksa, zarówno buforowane,
jak i O_DIRECT.

%package devel
Summary:	Header files and development documentation for liburing
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programistyczna do biblioteki liburing
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for Linux-native io_uring I/O access library.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki dostępu do natywnego dla Linuksa we/wy
io_uring.

%package static
Summary:	Static liburing library
Summary(pl.UTF-8):	Statyczna biblioteka liburing
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static liburing library.

%description static -l pl.UTF-8
Statyczna biblioteka liburing.

%prep
%setup -q

%build
# not autoconf configure
./configure \
	--cc="%{__cc}" \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libdevdir=%{_libdir} \
	--mandir=%{_mandir} \
	--includedir=%{_includedir}
 
%{__make} \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README
%attr(755,root,root) %{_libdir}/liburing.so.*.*
%attr(755,root,root) %ghost %{_libdir}/liburing.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liburing.so
%{_includedir}/liburing
%{_includedir}/liburing.h
%{_pkgconfigdir}/liburing.pc
%{_mandir}/man2/io_uring_*.2*
%{_mandir}/man3/io_uring_*.3*
%{_mandir}/man7/io_uring.7*

%files static
%defattr(644,root,root,755)
%{_libdir}/liburing.a
%changelog
* Fri Sep 10 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/liburing.git;a=log;h=master

* Fri Sep 10 2021 Jan Palus <atler@pld-linux.org> fac7bab
- up to 2.1

* Mon Mar 08 2021 Jan Palus <atler@pld-linux.org> 38eb422
- up to 2.0 (new soname)

* Fri Dec 04 2020 Jan Palus <atler@pld-linux.org> 4b7e4d1
- up to 0.7

* Sat May 30 2020 Jakub Bogusz <qboosh@pld-linux.org> 95832a5
- updated to 0.6

* Fri Apr 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 4f2447e
- pl, optflags

* Wed Mar 25 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 3931b93
- initial

